> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/filters

> Fetch options available for report filtering



## OpenAPI

````yaml /openapi.json get /v1/report/filters
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/filters:
    get:
      tags:
        - Reporting/Revenue Reports
        - public
      summary: /report/filters
      description: Fetch options available for report filtering
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  currency:
                    type: string
                  results:
                    type: object
                    properties:
                      unit:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                          required:
                            - label
                            - value
                      platform:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                          required:
                            - label
                            - value
                      account_name:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: integer
                          required:
                            - label
                            - value
                      account_owner:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: integer
                          required:
                            - label
                            - value
                      partner:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                          required:
                            - label
                            - value
                      channel:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                          required:
                            - label
                            - value
                      geo:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                          required:
                            - label
                            - value
                      region:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                          required:
                            - label
                            - value
                      revenue_source:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                          required:
                            - label
                            - value
                      device:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                          required:
                            - label
                            - value
                      creative_size:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                          required:
                            - label
                            - value
                      environment:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                          required:
                            - label
                            - value
                      uid:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: integer
                          required:
                            - label
                            - value
                      oid:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: integer
                          required:
                            - label
                            - value
                      config_id:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: integer
                          required:
                            - label
                            - value
                      line_item:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                          required:
                            - label
                            - value
                      campaign:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                          required:
                            - label
                            - value
                      campaign_advertiser:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                          required:
                            - label
                            - value
                    required:
                      - unit
                      - platform
                      - account_name
                      - account_owner
                      - partner
                      - channel
                      - geo
                      - region
                      - revenue_source
                      - device
                      - creative_size
                      - environment
                      - uid
                      - oid
                      - config_id
                      - line_item
                      - campaign
                      - campaign_advertiser
                  success:
                    type: boolean
                required:
                  - currency
                  - results
                  - success
              example:
                currency: GBP
                results:
                  unit:
                    - label: Adhesion
                      value: adhesion
                    - label: App Banner
                      value: app-banner
                    - label: Bridge
                      value: interstitial
                    - label: GAM Anchor
                      value: anchor
                    - label: GAM Side Rail
                      value: side-rail
                    - label: IAB
                      value: iab
                    - label: In-Article
                      value: in-article
                    - label: In-Image
                      value: in-image
                    - label: Pixel
                      value: pixel
                    - label: Video
                      value: video
                    - label: Video (3rd party)
                      value: video-3p
                  platform:
                    - label: Google Ad Manager
                      value: gam_wr
                  account_name:
                    - label: Google Ad Manager, Content Ignite
                      value: 2
                  account_owner:
                    - label: Content Ignite
                      value: 0
                  partner:
                    - label: AMX RTB
                      value: amx rtb
                    - label: AdSense
                      value: adsense
                    - label: AdYouLike
                      value: adyoulike
                    - label: Adagio
                      value: adagio
                  channel:
                    - label: Ad server
                      value: Ad server
                    - label: AdSense
                      value: AdSense
                    - label: Ad Exchange
                      value: Ad Exchange
                    - label: Open Bidding
                      value: Open Bidding
                    - label: Mediation
                      value: Mediation
                    - label: Header Bidding
                      value: Header Bidding
                    - label: Fallback
                      value: Fallback
                  geo:
                    - label: Andorra
                      value: AD
                    - label: United Arab Emirates
                      value: AE
                    - label: Afghanistan
                      value: AF
                    - label: Antigua and Barbuda
                      value: AG
                    - label: Anguilla
                      value: AI
                    - label: Albania
                      value: AL
                  revenue_source:
                    - label: SaaS
                      value: saas
                    - label: P&P
                      value: pap
                  device:
                    - label: Mobile
                      value: mobile
                    - label: Tablet
                      value: tablet
                    - label: Desktop
                      value: desktop
                  creative_size:
                    - label: 468x60 (Banner)
                      value: 468x60
                    - label: 970x250 (Billboard)
                      value: 970x250
                    - label: 120x60 (Financial)
                      value: 120x60
                    - label: fluid (Fluid)
                      value: fluid
                    - label: 300x600 (Halfpage)
                      value: 300x600
                  environment:
                    - label: Web
                      value: web
                    - label: App
                      value: app
                  uid:
                    - label: example.com - 18620
                      value: 18620
                  config_id:
                    - label: example.com - in-image - 686
                      value: 686
                    - label: example.com - in-article - 730
                      value: 730
                  line_item:
                    - label: >-
                        example.com campaign / Why not visit our shop? -
                        Backfill - Network Tier
                      value: '6727744249'
                  campaign:
                    - label: Search / TEST - Developer Suite
                      value: '2663409055'
                  campaign_advertiser:
                    - label: Backfill
                      value: Backfill
                    - label: House
                      value: House
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````